# $Revision: 1.59 $, $Date: 2002/10/24 10:31:08 $
%include	/usr/lib/rpm/macros.python
Summary:	Software package for multitrack audio processing
Summary(pl):	Oprogramowanie do wielociekowego przetwarzania dwiku
Name:		ecasound
Version:	2.1.0
Release:	4
License:	GPL
Group:		Applications/Sound
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-readline.patch
Patch3:		%{name}-am15.patch
Patch4:		%{name}-comment.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	audiofile-devel >= 0.2.0
%ifnarch sparc sparc64
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%endif
BuildRequires:	libtool
BuildRequires:	libstdc++-devel
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-pythonprov
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules >= 2.2
Requires:	lame
Requires:	mpg123
Requires:	libecasound = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms. Several
open-source audio packages, like for instance ALSA, OSS, mpg123, lame,
libaudiofile and MikMod, are directly supported. One of the advantages
of ecasound's chain-based design is that effects can easily be
combined both in series and in parallel. Oscillators and MIDI-CCs can
be used for controlling effect parameters. Included user-interfaces
are ecasound - a versatile console mode interface, qtecasound - a
Qt-based X-interface and various command-line utils suitable for batch
processing.

%description -l pl
Ecasound jest programem do wielociekowej edycji dwiku, ktry moe
by uywany tak do prostych zada typu odtwarzanie i nagrywanie muzyki
czy te konwersji pomidzy formatami plikw muzycznych jak i do
wielociekowego nakadania efektw, miksowania (przenikania,
wyciszania), nagrywania i odzyskiwania (w domyle odszumiania lub
wyrzucania znieksztace) sygnau.

Ecasound wspiera szerok gam rde i wyj dwiku oraz algorytmw
do jego przetwarzania. Ecasound wspiera wiele wolnych (open source)
projektw, takich jak ALSA, OSS, mpg123, lame, libaudiofile czy te
MikMod. Jedn z zalet programu ecasound jest moliwo acuchowego
(szeregowego) lub rwnolegego czenia efektw, ktre mog by
kontrolowane poprzez oscylatory lub MIDI-CC. Pakiet ten zawiera
tekstowy interfejs uytkownika oraz kilka innych narzdzi nadajcych
si do przetwarzania wsadowego. Dostpny jest take graficzny
interfejs uytkownika - qtecasound.

%package -n libecasound
Summary:	Ecasound libraries
Summary(pl):	Biblioteki programu ecasound
Group:		Libraries

%description -n libecasound
Ecasound libraries.

%description -n libecasound -l pl
Biblioteki programu ecasound.

%package -n libecasound-devel
Summary:	Ecasound headers
Summary(pl):	Pliki nagwkowe bibliotek programu ecasound
Group:		Development/Libraries
Requires:	libecasound = %{version}

%description -n libecasound-devel
Ecasound headers.

%description -n libecasound-devel -l pl
Pliki nagwkowe bibliotek programu ecasound.

%package -n libecasound-static
Summary:	Ecasound static libraries
Summary(pl):	Biblioteki statyczne programu ecasound
Group:		Development/Libraries
Requires:	libecasound-devel = %{version}

%description -n libecasound-static
Ecasound static libraries.

%description -n libecasound-static -l pl
Biblioteki statyczne programu ecasound.

%package plugins
Summary:	Ecasound plugins (ALSA, Audio File Library, aRts)
Summary(pl):	Wtyczki dla programu ecasound (ALSA, Audio File Library, aRts)
Group:		Applications/Sound
Requires:	ecasound = %{version}

%description plugins
This package contains ecasound plugins, which give support for ALSA,
Audio File Library and aRts.

%description plugins -l pl
Pakiet ten zawiera wtyczki dla programu ecasound, ktre umoliwiaj
wspprac z bibliotekami takich projektw jak ALSA, Audio File
Library oraz aRts.

%package -n python-%{name}
Summary:	Python module for Ecasound
Summary(pl):	Modu jzyka Python dla biblioteki programu ecasound
Group:		Libraries/Python
%pyrequires_eq	python

%description -n python-%{name}
Python module for Ecasound library.

%description -n python-%{name} -l pl
Modu jzyka Python dla biblioteki programu ecasound.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%ifarch sparc sparc64
%{__libtoolize}
%endif
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -D_REENTRANT %{!?debug:-DNDEBUG}"
%configure \
	--enable-sys-readline \
	--with-python-includes=%{py_incdir} \
	--with-python-modules=%{py_libdir} \
	%{?_without_alsa:--disable-alsa}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

install pyecasound/*.py $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%post   -n libecasound -p /sbin/ldconfig
%postun -n libecasound -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ecaconvert
%attr(755,root,root) %{_bindir}/ecafixdc
%attr(755,root,root) %{_bindir}/ecanormalize
%attr(755,root,root) %{_bindir}/ecaplay
%attr(755,root,root) %{_bindir}/ecasignalview
%attr(755,root,root) %{_bindir}/ecasound
%{_mandir}/man1/eca*
%{_mandir}/man5/eca*

%files -n libecasound
%defattr(644,root,root,755)
%dir %{_datadir}/ecasound
%{_datadir}/ecasound/*
%attr(755,root,root) %{_libdir}/libkvutils*.so.*.*
%attr(755,root,root) %{_libdir}/libecasound*.so.*.*

%files -n libecasound-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ecasound-config
%attr(755,root,root) %{_bindir}/ecasoundc-config
%{_includedir}/ecasound
%{_includedir}/kvutils
%attr(755,root,root) %{_libdir}/libkvutils.so
%attr(755,root,root) %{_libdir}/libkvutils.la
%attr(755,root,root) %{_libdir}/libecasound*.so
%attr(755,root,root) %{_libdir}/libecasound*.la

%files -n libecasound-static
%defattr(644,root,root,755)
%{_libdir}/libkvutils.a
%{_libdir}/libecasound.a
%{py_sitedir}/*.a

%files plugins
%defattr(644,root,root,755)
%dir %{_libdir}/ecasound-plugins
%attr(755,root,root) %{_libdir}/ecasound-plugins/lib*.so*
%{_libdir}/ecasound-plugins/lib*.la
%{_libdir}/ecasound-plugins/lib*.a

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: ecasound.spec,v $
Revision 1.59  2002/10/24 10:31:08  kloczek
- removed added by mistake -fno-rtti from CXXFLAGS.

Revision 1.58  2002/10/24 10:30:14  kloczek
- release 4: fixed http://bugs.pld.org.pl/index.php?bug=400
  more fixes in ac_fix patch (added missing [] quotes).

Revision 1.57  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/09/20 11:33:31  ankry
- one more patch

Revision 1.55  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.54  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.53  2002/04/25 16:14:14  arturs
fixed a small typo

Revision 1.52  2002/04/11 14:01:05  wrobell
- rel. 3, stb

Revision 1.51  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.50  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.49  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/03/18 07:00:36  wrobell
- libecasound package group changed to Libraries and python-ecasound
  group changed to Libraries/Python
- rel. 2
- stb

Revision 1.47  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/02/09 14:04:19  qboosh
- BuildRequires: python-modules (because of compileall.py*)

Revision 1.44  2002/02/04 07:23:27  kloczek
- more fixes in %files.

Revision 1.43  2002/02/04 06:20:23  kloczek
- fixed %files list in python subpackage.

Revision 1.42  2002/02/04 05:32:37  kloczek
- updated to 2.1.0 (new stable version),
- rebuild against python 2.2.

Revision 1.41  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/11/24 01:33:07  kloczek
- :!sort BuildRequires rules.

Revision 1.39  2001/11/12 14:58:04  wrobell
- use standard python macros

Revision 1.38  2001/10/02 00:18:16  kloczek
- updated to 2.0.3.

Revision 1.37  2001/09/10 22:22:52  kloczek
- added am15 patch for allow use automae 1.5 on regenerate am files.

Revision 1.36  2001/08/23 12:38:04  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.35  2001/08/17 18:25:08  kloczek
- spec adapterized.

Revision 1.34  2001/08/17 16:26:31  wrobell
- ver. 2.0.2

Revision 1.33  2001/07/31 16:48:45  qboosh
- BuildRequires: libstdc++-devel
- fixed python stuff in %%install and %%files
- base package Requires: libecasound

Revision 1.32  2001/06/29 08:49:28  wrobell
- up to 2.0.1
- fixed requires and buildrequires
- libtoolize only on sparc and sparc64 architectures
- fixed python subpackage file list, stb

Revision 1.31  2001/04/23 08:59:54  kloczek
- typo.

Revision 1.30  2001/04/23 01:12:09  kloczek
- strange - is it impossible use "-" in macro name ?

Revision 1.29  2001/04/23 00:01:18  kloczek
- more fixes in python related %files lists.

Revision 1.28  2001/04/22 23:57:50  kloczek
- added %%python_lib-dynloadir macro.

Revision 1.27  2001/04/22 23:24:27  kloczek
- make %%{_libdir}/python2.0/site-packages missing directoty in %install.

Revision 1.26  2001/04/22 23:04:05  kloczek
- finaly fixed compilation against readline 4.2 (added realine patch).

Revision 1.25  2001/04/21 09:50:44  misiek
- use new libtool scripts to fix compilation on sparc

Revision 1.24  2001/04/21 08:28:21  kloczek
- release 3,
- rebuild against readline 4.2,
- added ac_fix patch - now passing $RPM_OPT_FALAGS to C++ compile options
  works correctly.

Revision 1.23  2001/03/01 05:55:51  kloczek
- added am_fix patch (fix for building in automake 1.4d enviroment).

Revision 1.22  2001/03/01 05:40:19  kloczek
- release 2,
- rebuild against new audiofile,
- BuildRequires for alsa-lib-devel disabled on sparc.

Revision 1.21  2001/02/09 20:21:00  kloczek
- fixed %build: regenerate all autoconf/aumake files for allow build in
  automake 1.4b enviroment.

Revision 1.20  2001/02/09 16:53:35  wrobell
- up to 1.9dev1

Revision 1.19  2000/12/27 22:29:01  kloczek
- adapterized.

Revision 1.18  2000/12/27 21:10:45  wrobell
- up to 1.8.5d15
- udpated file list
- python subpackage

Revision 1.17  2000/11/12 18:20:14  wrobell
- up to 1.8.4d15

Revision 1.16  2000/10/01 15:48:50  wrobell
- updated file list of ecasound package
- added plugins subpakcage
- updated buildrequires
- added patch for linking plugins without version info

Revision 1.15  2000/09/19 17:21:35  kloczek
- adapterized.

Revision 1.14  2000/09/19 16:25:31  wrobell
- up to 1.8.2r14
- qt stuff is distributed separetely now

Revision 1.13  2000/07/28 10:37:42  kloczek
- release 4.

Revision 1.12  2000/07/28 09:13:03  mis
- typo

Revision 1.11  2000/07/26 09:41:49  wrobell
- finished Polish translation for ecasound package

Revision 1.10  2000/07/13 23:07:14  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.9  2000/07/13 20:38:52  baggins
- release 2

Revision 1.8  2000/07/03 19:38:34  kloczek
- fixed missing $RPM_BUILD_ROOT on stripping libraries.

Revision 1.7  2000/07/03 18:32:13  kloczek
- added static subpackages,
- fixed resources separiation between devel and main libraries subpackages,
- added stripping shared libraries,
- run /sbin/ldconfig in %pos/%postun for packages with shared libraries,
- added missing Requires rules between main libraris packages and devel
  subpackages,

Revision 1.6  2000/07/03 17:10:29  kloczek
- adapterized.

Revision 1.5  2000/07/03 16:20:15  wrobell
- partial polish description translation

Revision 1.4  2000/07/03 13:50:37  wrobell
- up to 1.8.0d14
- changed ecasound description

Revision 1.3  2000/06/22 09:18:03  wrobell
- typo

Revision 1.2  2000/06/21 19:25:17  kloczek
- spec adapterized,
- rewrited %build,
- NFY (not finished yet).

Revision 1.1  2000/06/19 17:35:29  wrobell
- raw version
